#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <sys/stat.h>
#include <sablot.h>


extern "C" {
}
#include "PySablot_classes.h"

char * __version__ = "$Id: recode.cpp,v 1.1 2000/01/10 16:40:44 ajung Exp $";

SablotHandle  handle;

char * ProcessStrings(const char * xsl, const char* xml) {
	char * resArg = NULL;

	int res = SablotProcessStrings((char *) xsl ,(char *)  xml , &resArg);
	return resArg;
}

int  ProcessFiles (const char * xsl, const char* xml, const char * outfile) {
	return SablotProcessFiles((char *) xsl ,(char *)  xml , (char *) outfile);
}


SablotHandle CreateProcessor(void) {
	SablotCreateProcessor(&handle);
	return handle;
}

void DestroyProcessor(SablotHandle handle) {
	SablotDestroyProcessor(handle);
}


void RunProcessor(SablotHandle handle,const char * xsl,const char * xml, const char * out) {
	SablotRunProcessor(handle,(char *) xsl,(char *) xml,(char *) out,NULL,NULL);
}
