%module PySablot
%{
#include "sablot.h"
#include "PySablot_classes.h"
%}

// $Id: recode.i,v 1.1 2000/01/10 16:41:37 ajung Exp $

%except(python) {
	try {
		$function
	}
	catch(PySablotError e) {
		PyErr_SetString(PyExc_RuntimeError,e.reason());
	return NULL;
	}
}

extern char * __version__;
extern char * 			ProcessStrings(const char *,const char* );
extern int    			ProcessFiles(const char *,const char* ,const char *);
extern SablotHandle	  	CreateProcessor();
extern void	  			DestroyProcessor(SablotHandle);
extern void	  			RunProcessor(SablotHandle,const char *, const char *, const char* );
